PostgreSQL 7.1.3 Documentation
Prev |  | Next

# pg_lo_import

## Name

pg_lo_import -- import a large object from a Unix file

## Synopsis

    pg_lo_import conn filename

### Inputs

`conn`

  Specifies a valid database connection.

`filename`

  Unix file name.

### Outputs

None XXX Does this return a lobjId? Is that the same as the objOid in other calls? thomas - 1998-01-11

## Description

`pg_lo_import` reads the specified file and places the contents into a large object.

## Usage

`pg_lo_import` must be called within a BEGIN/END transaction block.

Prev | Home | Next
pg_lo_unlink | Up | pg_lo_export